'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'(C)2006-2018 KoXo Developpement
'x86 & x64
'KoXo Profiles Downloader Script
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
' This script uses the server with the role "PDC Emulator" to execute "KoXo Profiles Downloader"
' Ce script utilise le serveur ayant le rle "Emulateur PDC" pour excuter "KoXo Profiles Downloader"
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
Set objRootDSE=GetObject("LDAP://rootDSE")
Set objDomain=GetObject _  
    ("LDAP://" & objRootDSE.Get("defaultNamingContext"))
strPdcEmulator=objDomain.Get("fSMORoleOwner")
Set objNtds=GetObject("LDAP://" & strPdcEmulator)
Set objComputer=GetObject(objNtds.Parent)
strPdcEmulator=objComputer.cn
Set Wscr=CreateObject("WScript.Shell")
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
' To use a another share, fill the line below with the prefix of the share
strCompanyShortNameName=""
' To use another server than the PDC Emulator, fill the line below
strKoXoProfilesFileServer=""
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
If strKoXoProfilesFileServer<>"" Then 
   strExecute="\\" & strKoXoProfilesFileServer & "\"
   Else
   strExecute="\\" & strPdcEmulator & "\"
   End If  
If strCompanyShortNameName<>"" Then 
   strExecute=strExecute & strCompanyShortNameName & ".KoXoProfiles$\" 
   Else
   strExecute=strExecute & "KoXoProfiles$\" 
   End If
If OsIs64bits Then 
   strExecute=strExecute & "ProfilesDownloader64.exe"
   Else
   strExecute=strExecute & "ProfilesDownloader32.exe"
   End If
WScr.Run strExecute, 1, True 
WScript.Quit
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'64 bits ?
Function OsIs64bits
On Error Resume Next
Dim objWMIService,colOperatingSystems
Set objWMIService=GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\.\root\cimv2")
Set colOperatingSystems=objWMIService.ExecQuery("Select * from Win32_OperatingSystem")
For Each objOperatingSystem in colOperatingSystems
    OSArchi=objOperatingSystem.OSArchitecture
Next
OsIs64bits=InStr(OSArchi,"64")
End Function
'////////////////////////////////////////////////////////////////////////////////////////////////////////////


