'''''''''''''''''''''''''''''''''''''
' (C)2006-2019 KoXo Developpement
'           x64 & x86
'   ScreenSaver copier & updater
'''''''''''''''''''''''''''''''''''''
On Error Resume Next
Dim objArgs, Fso, WshShell, WshSysEnv
Dim Win32Path, ScreenSaverSourcePath, ScreenSaverWin32Path, ScreenSaver
Set objArgs=WScript.Arguments
Set WshShell=WScript.CreateObject("WScript.Shell")
Set WshSysEnv=WshShell.Environment("SYSTEM")
ScreenSaverLocal="KoXoScrSvr.scr"
If OsIs64bits Then 
      OS="Win64"
      ScreenSaver="KoXoScrSvr64.scr" 
      Else 
      OS="Win32"
      ScreenSaver="KoXoScrSvr32.scr" 
      End If  
Win32Path=WshShell.ExpandEnvironmentStrings("%windir%")+"\System32\"
ScreenSaverWin32Path=Win32Path+ScreenSaverLocal
ScreenSaverSourcePath=Replace(WScript.ScriptFullName,WScript.ScriptName,ScreenSaver)
Set Fso=CreateObject("Scripting.FileSystemObject")
If Fso.FileExists(ScreenSaverSourcePath) Then 
   'Source file exists
   If Not Fso.FileExists(ScreenSaverWin32Path) Then
      'Install
      Fso.CopyFile ScreenSaverSourcePath, ScreenSaverWin32Path
      WshShell.Popup "KoXo Screensaver (" & OS & ") Installed",1,"Info",64
      Else
      'Update
       Set FileSource=Fso.GetFile(ScreenSaverSourcePath)
       Set FileDest=Fso.GetFile(ScreenSaverWin32Path)
       If (FileSource.DateLastModified<>FileDest.DateLastModified) Then 
          Fso.CopyFile ScreenSaverSourcePath, ScreenSaverWin32Path
          WshShell.Popup "KoXo Screensaver (" & OS & ") Updated",1,"Info",64
          End If
       FileSource=Nothing
       FileDest=Nothing
      End If
   End If
Fso=Nothing
WshSysEnv=Nothing
WshShell=Nothing
objArgs=Nothing
WScript.Quit
'////////////////////////////////////////////////////////////////////////////////////////////////////////////
'64 bits ?
Function OsIs64bits
On Error Resume Next
Dim objWMIService,colOperatingSystems
Set objWMIService=GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\.\root\cimv2")
Set colOperatingSystems=objWMIService.ExecQuery("Select * from Win32_OperatingSystem")
For Each objOperatingSystem in colOperatingSystems
    OSArchi=objOperatingSystem.OSArchitecture
Next
OsIs64bits=InStr(OSArchi,"64")
End Function